Summary: This is a library that defines common error values for all GnuPG components
Name: libgpg-error
Version: 1.4
Release: 2tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnupg.org/gcrypt/libgpg-error/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-root

%description
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

libgpg-error is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as
published by the Free Software Foundation

%package devel
Summary: Development files for the %{name} package
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description devel
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future. This package
contains files necessary to develop applications using libgpg-error.

%prep
%setup -q 

%build
%configure --prefix=%{_prefix} 
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root,755)
%doc COPYING COPYING.LIB AUTHORS README INSTALL NEWS ChangeLog
%{_bindir}/gpg-error
%{_libdir}/libgpg-error.so.*

%files devel
%defattr(-,root,root,755)
%{_bindir}/gpg-error-config
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/lib*.a
%{_includedir}/gpg-error.h
%{_datadir}/aclocal/gpg-error.m4
%{_datadir}/locale/
%exclude /usr/share/common-lisp/

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Oct 18 2006 Bipin S <bipin trustix dot org> 1.4-1tr
- New Upstream.

* Mon Jun 19 2006 Nived Gopalan <nived at trustix dot org> 1.3-1tr
- New Upstream.

* Wed Mar 16 2005 Bipin S  <bipin at comodo dot com> 1.0-4tr
- Rebuilt

* Tue Mar 01 2005 Ajith Thampi <ajith at comodo dot com> 1.0-2tr
- added to tsl-3.0 Official, minor cleanup

* Tue Dec 14 2004 Syed Shabir <syedshabir at comodo dot com> 1.0-1sh
- New Upstream

* Mon Dec 06 2004 Syed Shabir <syedshabir at comodo dot com> 
- Initial Spec file for libgpg-error
